import * as i0 from "@angular/core";
export interface BreadcrumbItem {
    label: string;
    url?: string;
}
export declare class BreadcrumbComponent {
    items: import("@angular/core").InputSignal<BreadcrumbItem[]>;
    isLoading: import("@angular/core").InputSignal<boolean>;
    crumbClick: import("@angular/core").OutputEmitterRef<BreadcrumbItem>;
    leadingItems: import("@angular/core").Signal<BreadcrumbItem[]>;
    hiddenItems: import("@angular/core").Signal<BreadcrumbItem[]>;
    trailingItems: import("@angular/core").Signal<BreadcrumbItem[]>;
    onCrumbClick(item: BreadcrumbItem, event: Event): void;
    isLast(item: BreadcrumbItem): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BreadcrumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BreadcrumbComponent, "lib-breadcrumb", never, { "items": { "alias": "items"; "required": false; "isSignal": true; }; "isLoading": { "alias": "isLoading"; "required": false; "isSignal": true; }; }, { "crumbClick": "crumbClick"; }, never, never, true, never>;
}
